Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# PARAGUI_EVENTHANDLERDATA Struct Reference

ParaGUI eventhandler data structure. More...

`#include <paragui_msgmap.h>`

Collaboration diagram for PARAGUI_EVENTHANDLERDATA:

[legend]
List of all members.

## Public Attributes
MSG_CALLBACK | cbfunc
| the function to call. More...
SDLMessageObject* | calledobj
| the object to call *. More...
void* | data
| pointer to userdata. More...

## Detailed Description

ParaGUI eventhandler data structure.

Definition at line 39 of file paragui_msgmap.h.

## Member Data Documentation

SDLMessageObject * PARAGUI_EVENTHANDLERDATA::calledobj

| the object to call *. Definition at line 45 of file paragui_msgmap.h.

MSG_CALLBACK PARAGUI_EVENTHANDLERDATA::cbfunc

| the function to call. Definition at line 42 of file paragui_msgmap.h.

void * PARAGUI_EVENTHANDLERDATA::data

| pointer to userdata. Definition at line 48 of file paragui_msgmap.h.

The documentation for this struct was generated from the following file:

- paragui_msgmap.h